NAME=Git
SOURCE=http://kernel.org/pub/software/scm/git/git-1.5.3.tar.bz2
TARGET=bin/git

_all:: all
	@echo "----------------------------------------"
	@echo ' Usage '
	@echo "----------------------------------------"
	@echo 'Add /usr/local/bin to your path. Eg, edit ~/.profile'
	@echo 'Then configure git to know about you:'
	@echo '  git config --global user.name "Your Name Comes Here"'
	@echo '  git config --global user.email you@yourdomain.example.com'
	@echo 'To create a repo'
	@echo '  git init'
	@echo '  git add .'
	@echo '  git commit'
	@echo 'To run a server'
	@echo '  git-daemon --verbose --export-all'
	@echo '    / --base-path=/Volumes/Internal500GB/WebServer/iolanguage/scm/git'
	@echo 'To launch it at boot time'
	@echo '  create a launch file in /Library/LaunchDaemons/git.plist'
	@echo 'The repo can be fetched elsewhere by:'
	@echo '  git clone git://www.iolanguage.com/Io'
	@echo "----------------------------------------"

include Common.mak

